/* ===========================
   Global
=========================== */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #0F1117;
    color: #FFFFFF;
    font-family: "Inter", sans-serif;
}

a {
    color: white;
    text-decoration: none;
}

ul {
    list-style: none;
    font-size: 18px;
}

/* ===========================
   Container
=========================== */

.container {
    width: min(1400px, 90%);
    margin: 0 auto;
}

/* ===========================
   Header
=========================== */

header {
    background-color: #181C24;
    position: sticky;
    top: 0;
    z-index: 100;
}

header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;

    height: 100px;
}

.logo img {
    height: 140px;
    width: auto;
}

.navigation-bar ul {
    display: flex;
    gap: 2rem;
}

.navigation-bar a {
    transition: .2s;
}

.navigation-bar a:hover {
    color: #4EA1FF;
}

/* ===========================
   Hero
=========================== */

.hero {
    min-height: calc(100vh - 90px);

    display: flex;
    align-items: center;

    overflow: visible;
}

.hero .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 4rem;
}

.hero-description {
    flex: 1;
}

.hero-image {
    flex: 1.4;

    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    max-width: 650px;
    margin-top: 5vh;
    margin-bottom: 5vh;
}

.hero-image img {
    width: 100%;
    max-width: 600px;
    height: auto;
    display: block;

    border-radius: 20px;

    transform: translateX(0) translateY(0);

    box-shadow:
    0 0 30px rgba(78, 161, 255, 0.25),
    0 0 80px rgba(78, 161, 255, 0.12);
}

/* ===========================
   Hero Typography
=========================== */

.hero h1 {
    display: flex;
    flex-direction: column;
    line-height: 0.9;
    margin-bottom: 2rem;
}

.hero h1 .snap {
    font-size: 6rem;
    font-weight: 700;
}

.hero h1 .press {
    font-size: 5.5rem;
    font-weight: 300;

    margin-left: 7.5rem;
}

.hero p {
    font-size: 1.2rem;
    color: #B8C0CC;

    margin-bottom: 1rem;

    max-width: 500px;
}

.hero .version {
    font-size: 0.9rem;
    margin-bottom: 2rem;
    padding-top: 0.3rem;
}

/* ===========================
   Buttons
=========================== */

.buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 1.2rem;
    align-items: flex-start;
}

button.button {
    appearance: none;
    -webkit-appearance: none;
}

.buttons .button + .button {
    margin-left: 0;
}

.button {
    display: inline-block;

    padding: 14px 28px;

    border-radius: 12px;

    font-size: 1rem;
    font-weight: 600;

    text-decoration: none;

    transition: all .2s ease;
}

.button + .button {
    margin-left: 1.2rem;
}

/* Primary */

.button.primary {
    background-color: #4EA1FF;
    color: #FFFFFF;
}

.button.primary:hover {
    background-color: #3B8BE6;
    transform: translateY(-2px);
}

/* Secondary */

.button.secondary {
    background-color: #181C24;
    border: 1px solid #3A4252;
    color: #FFFFFF;
}

.button.secondary:hover {
    background-color: #181C24;
    border-color: #4EA1FF;

    transform: translateY(-2px);
}

/* ===========================
   Applications
=========================== */

.applications {
    padding: 100px 0;
}

.applications h2 {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.applications > .container > p {
    font-size: 1.2rem;
    color: #B8C0CC;
    margin-bottom: 4rem;
}

.cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

.card {
    background-color: #181C24;
    border: 1px solid #2A3443;
    border-radius: 20px;

    padding: 2rem;

    min-height: 260px;

    display: flex;
    flex-direction: column;

    transition: all .25s ease;
}

/* Text */

.card h3 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

.card p {
    color: #B8C0CC;
    line-height: 1.6;
    margin-bottom: 2rem;
}

/* Buttons */

.card .button {
    margin-top: auto;
    align-self: flex-start;
}

/* Hover */

.card:hover {
    transform: translateY(-8px);
    border-color: #4EA1FF;

    box-shadow:
        0 0 30px rgba(78, 161, 255, .18);
}

/* ===========================
   Product Hero
=========================== */

.product-hero {
    min-height: calc(100vh - 130px);

    display: flex;
    align-items: center;
}

.product-hero .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5rem;
}

.product-info {
    flex: 1;
}

.product-image {
    flex: 1.2;

    display: flex;
    justify-content: flex-end;
}

.product-image img {
    width: 100%;
    max-width: 750px;
    height: auto;

    border-radius: 20px;

    margin-top: 5vh;
    margin-bottom: 5vh;

    box-shadow:
        0 0 35px rgba(78, 161, 255, 0.25),
        0 0 80px rgba(78, 161, 255, 0.12);

    transition: transform .25s ease;
}

.product-image img:hover {
    transform: translateY(-5px);
}

/* ===========================
   Typography
=========================== */

.product-info h1 {
    font-size: 5rem;
    font-weight: 700;
    line-height: 1;

    margin-bottom: 1.5rem;
}

.product-info p {
    font-size: 1.25rem;
    color: #B8C0CC;
    line-height: 1.6;

    max-width: 550px;

    margin-bottom: 2rem;
}

.product-info .version {
    font-size: .95rem;
    color: #7E8897;

    margin-top: 1.8rem;
}
/* ===========================
   Features
=========================== */

.features {
    padding: 100px 0;
}

.features h2 {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.features > .container > p {
    font-size: 1.2rem;
    color: #B8C0CC;
    margin-bottom: 4rem;
}

.features-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}
.feature-card {
    background: #181C24;
    border: 1px solid #2A3443;
    border-radius: 20px;

    padding: 2rem;

    transition: .25s;
}

.feature-card:hover {
    transform: translateY(-6px);
    border-color: #4EA1FF;

    box-shadow: 0 0 25px rgba(78,161,255,.15);
}

.feature-card h3 {
    font-size: 1.6rem;
    margin-bottom: 1rem;
}

.feature-card p {
    color: #B8C0CC;
    line-height: 1.7;
}
#dropzone label{
    border: 2px dashed #4EA1FF;
    border-radius: 12px;
    padding: 2rem;
    text-align: center;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    min-height: 125px;
}
#counter {
    margin-top: 1rem;
    font-size: 1rem;
    color: #B8C0CC;
    text-align: right;
}
#downloadBtn {
    margin-top: 1rem;
    cursor: pointer;
}

.demo-footer {
    text-align: center;
}

/* ===========================
   Footer
=========================== */
footer {
    background: #0B0D12;
    border-top: 1px solid #252A36;
    margin-top: 100px;
    padding: 40px 0 20px;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 40px;
    flex-wrap: wrap;
}

.footer-links {
    display: flex;
    gap: 25px;
    flex-wrap: wrap;
}

.footer-links a {
    color: #9CA3AF;
    text-decoration: none;
    transition: color .2s ease;
}

.footer-links a:hover {
    color: white;
}

.footer-bottom {
    border-top: 1px solid #252A36;
    margin-top: 30px;
    padding-top: 20px;
    text-align: center;
}

.footer-bottom p {
    color: #6B7280;
    font-size: 14px;
}

/* Modal */
.modal {
    display: none;
    position: fixed;
    inset: 0;

    background: rgba(0,0,0,.65);

    justify-content: center;
    align-items: center;

    z-index: 1000;
}

.modal-content {
    width: 420px;
    max-width: 90%;

    background: #181C24;
    border: 1px solid #2A2F3A;
    border-radius: 16px;

    padding: 32px;

    position: relative;
}

.modal-content h2 {
    margin-bottom: 16px;
}

.modal-content p {
    color: #bdbdbd;
    line-height: 1.6;
}

.modal-buttons {
    margin-top: 28px;

    display: flex;
    gap: 12px;
}

.modal-close {
    position: absolute;
    top: 12px;
    right: 16px;

    background: none;
    border: none;

    color: #9CA3AF;
    font-size: 28px;
    line-height: 1;

    cursor: pointer;
    transition: color .2s;
}

.modal-close:hover {
    color: white;
}

/* FAQ */
.faq {
    max-width: 900px;
    margin: 60px auto;
}

.faq-section {
    background: #181C24;
    border-radius: 12px;
    margin-bottom: 20px;
    overflow: hidden;
}

.faq-section summary {
    padding: 20px 25px;
    font-size: 1.6rem;
    font-weight: 700;
    color: white;
    cursor: pointer;
    list-style: none;
}

.faq-section summary::-webkit-details-marker {
    display: none;
}

.faq-section summary::after {
    content: "+";
    float: right;
    transition: transform .25s;
}

.faq-section[open] summary::after {
    content: "−";
}

.faq-content {
    padding: 0 25px 25px;
}

.faq-content h3 {
    color: white;
    margin-top: 25px;
    margin-bottom: 8px;
    font-size: 1.1rem;
}

.faq-content p {
    color: #bfc5d2;
    line-height: 1.7;
    margin: 0;
}